--- /dev/null
+---
+title: iTerm2 Themes
+homepage: https://iterm2colorschemes.com/
+tagline: |
+ iTerm2 Themes: the best color schemes for iTerm2 (the macOS terminal that does amazing things).
+---
+
+## Cheat Sheet
+
+> There are [216+ color schemes](https://iterm2colorschemes.com/) for
+> [iTerm2](./iterm2). Here's my shortlist. I chose them because they are easy on
+> the eyes and distinct.
+
+
+
+The installer will download them to `~/Downloads/webi/iterm2-themes`
+
+```txt
+~/Downloads/webi/iterm2-themes/Tomorrow\ Night.itermcolors
+~/Downloads/webi/iterm2-themes/Firewatch.itermcolors
+~/Downloads/webi/iterm2-themes/Dracula.itermcolors
+~/Downloads/webi/iterm2-themes/Elemental.itermcolors
+~/Downloads/webi/iterm2-themes/Ubuntu.itermcolors
+~/Downloads/webi/iterm2-themes/cyberpunk.itermcolors
+~/Downloads/webi/iterm2-themes/Hivacruz.itermcolors
+~/Downloads/webi/iterm2-themes/ToyChest.itermcolors
+```
+
+It's up to you to open them, and then iTerm2 will ask you to confirm.
+
+```bash
+open ~/Downloads/webi/iterm2-themes/*.itermcolors
+```
+
+### Previews
+
+Two-finger click "Save Link As" (or similar) to download.
+
+- <a href="/packages/iterm2/schemes/Tomorrow%20Night.itermcolors" download>Tomorrow
+ Night</a>
+ 
+- <a href="/packages/iterm2/schemes/Firewatch.itermcolors" download>Firewatch</a>
+ 
+- <a href="/packages/iterm2/schemes/Dracula.itermcolors" download>Dracula</a>
+ 
+- <a href="/packages/iterm2/schemes/Elemental.itermcolors" download>Elemental</a>
+ 
+- <a href="/packages/iterm2/schemes/Ubuntu.itermcolors" download>Ubuntu</a>
+ 
+- <a href="/packages/iterm2/schemes/cyberpunk.itermcolors" download>cyberpunk</a>
+ 
+- <a href="/packages/iterm2/schemes/Hivacruz.itermcolors" download>Hivacruz</a>
+ 
+- <a href="/packages/iterm2/schemes/Builtin%20Solarized%20Dark.itermcolors" download>Builtin
+ Solarized Dark</a>
+ 
+- <a href="/packages/iterm2/schemes/ToyChest.itermcolors" download>ToyChest</a>
+ (not for the colorblind)
+ 
+
+<!--
+Other considerations:
+Grape
+-->
+
+If you're using [fish](https://webinstall.dev/fish) (as you should be!), be sure
+to set your shell color theme to the same or similar:
+
+```bash
+fish_config colors
+```
+
+### How to set up profile switching
+
+I suggest using different profiles:
+
+- Default (no matching hosts)
+- Local (matching my local `hostname`)
+- Remote (matching `app@` for VPSes and cloud environments)
+- Prod (matching specific `app@hostname`s for production systems)
+- Root (matching `root@`)
+
+You need to "Install Shell Integration" on each host for profile switching to
+work.
+
+
+
+
--- /dev/null
+#!/bin/bash
+set -u
+set -e
+
+function __install_iterm2_color_schemes() {
+ WEBI_HOST=${WEBI_HOST:-https://webinstall.dev}
+
+ echo ''
+ mkdir -p ~/Downloads/webi/iterm2-themes/
+
+ echo 'Downloading themes ...'
+ echo ''
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/Tomorrow%20Night.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'Tomorrow Night.itermcolors'
+ echo ' Tomorrow Night'
+
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/Firewatch.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'Firewatch.itermcolors'
+ echo ' Firewatch'
+
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/Dracula.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'Dracula.itermcolors'
+ echo ' Dracula'
+
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/Elemental.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'Elemental.itermcolors'
+ echo ' Elemental'
+
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/Ubuntu.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'Ubuntu.itermcolors'
+ echo ' Ubuntu'
+
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/cyberpunk.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'cyberpunk.itermcolors'
+ echo ' cyberpunk'
+
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/Hivacruz.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'Hivacruz.itermcolors'
+ echo ' Hivacruz'
+
+ curl -sSL "${WEBI_HOST}"'/packages/iterm2/schemes/ToyChest.itermcolors' \
+ -o ~/Downloads/webi/iterm2-themes/'ToyChest.itermcolors'
+ echo ' ToyChest'
+
+ echo ''
+ echo 'IMPORTANT: You must open the themes to install them:'
+ echo ''
+ echo ' open ~/Downloads/webi/iterm2-themes/*.itermcolors'
+ echo ''
+}
+
+__install_iterm2_color_schemes